Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		docbook-style-xsl
Version: 	1.74.2
Release: 	1
Epoch:		1
Group: 		Development/Other

Summary: 	Norman Walsh's XSL stylesheets for DocBook XML

License: 	Freely redistributable without restriction
URL: 		http://docbook.sourceforge.net/projects/xsl/

Provides: 	docbook-xsl = %{epoch}:%{version}
Requires: 	docbook-dtd-xml
Requires: 	xml-common
Requires(post): libxml2 >= 2.4.8
Requires(postun): libxml2 >= 2.4.8

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
Source0: 	http://downloads.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
Source201: 	docbook-style-xsl.Makefile
Source202: 	http://downloads.sourceforge.net/docbook/docbook-xsl-doc-%{version}.tar.bz2

Patch1: 	docbook-xsl-pagesetup.patch
Patch2: 	docbook-xsl-marginleft.patch
Patch3: 	docbook-xsl-newmethods.patch
Patch4: 	docbook-xsl-non-constant-expressions.patch
Patch5: 	docbook-xsl-list-item-body.patch


%description
These XSL stylesheets allow you to transform any DocBook XML document to
other formats, such as HTML, FO, and XHMTL.  They are highly customizable.


%prep
%setup -q -n docbook-xsl-%{version}
pushd ..
tar jxf %{SOURCE202}
popd
%patch1 -p1 -b .pagesetup
%patch2 -p1 -b .marginleft
%patch3 -p1 -b .newmethods
%patch4 -p1 -b .nonconstant
%patch5 -p1 -b .listitembody

cp -p %{SOURCE201} Makefile

# fix of non UTF-8 files rpmlint warnings
for fhtml in $(find ./doc -name '*.html' -type f)
do
  iconv -f ISO-8859-1 -t UTF-8 "$fhtml" -o "$fhtml".tmp
  mv -f "$fhtml".tmp "$fhtml"
  sed -i 's/charset=ISO-8859-1/charset=UTF-8/' "$fhtml"
done

for f in $(find -name "*'*")
do
  mv -v "$f" $(echo "$f" | tr -d "'")
done


%build


%install
DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
make install BINDIR=$DESTDIR%{_bindir} DESTDIR=$DESTDIR%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}
ln -s xsl-stylesheets-%{version} \
	$DESTDIR%{_datadir}/sgml/docbook/xsl-stylesheets

# Don't ship the extensions (bug #177256).
rm -rf $DESTDIR%{_datadir}/sgml/docbook/xsl-stylesheets/extensions/*


%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,-)
%doc BUGS
%doc README
%doc TODO
%doc doc
%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}
%{_datadir}/sgml/docbook/xsl-stylesheets


%post
CATALOG=%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl/current" \
 "file://%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl/current" \
 "file://%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG


%postun
# remove entries only on removal of package
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del \
   "file://%{_datadir}/sgml/docbook/xsl-stylesheets-%{version}" $CATALOG
fi

%changelog
* Sat Mar 21 2009 Christian Metzen <metzench@ccux-linux.de> 1:1.74.2-1
- Version update
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.73.2-2
- added missing highlighting stylesheets
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.73.2-1
- Version update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.70.0-1
- Update to Version 1.70.0
* Sun Oct 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.69.1-3
- reedit specfile for more compatibility with other packages
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.69.1-2
- tweaked specfile
* Mon Sep 26 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.69.1-1
- rebuilt SRPM, Version Update